# Struct libc::kevent64_s [−] [src]

    pub struct kevent64_s {
        pub ident: uint64_t,
        pub filter: int16_t,
        pub flags: uint16_t,
        pub fflags: uint32_t,
        pub data: int64_t,
        pub udata: uint64_t,
        pub ext: [uint64_t; 2],
    }

## Fields

`ident` |
`filter` |
`flags` |
`fflags` |
`data` |
`udata` |
`ext` |

## Trait Implementations

### `impl Copy for kevent64_s`

### `impl Clone for kevent64_s`

#### `fn clone(&self) -> kevent64_s`

#### `fn clone_from(&mut self, source: &Self)`1.0.0

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)